/*
Importing google fonts
*/
@import url('https://fonts.googleapis.com/css2?family=Miniver&family=Poppins:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

:root {
    /*Colors*/
    --white-color:#fff;
    --dark-color:#252525;
    --primary-color:#003161;
    --secondary-color:#FFE31A;
    --light-pink-color:#f4f4f5;
    --medium-gray-color:#000B58;

    /*Font size*/
    --font-size-s:0.9rem;
    --font-size-n:1rem;
    --font-size-m:1.12rem;
    --font-size-l:1.5rem;
    --font-size-xl:2rem;
    --font-size-xxl:2.3rem;

    /*Font weight*/
    --font-weight-normal:400;
    --font-weight-medium:500;
    --font-weight-semi-bold:600;
    --font-weight-bold:700;

     /*border radius*/
     --border-radius-s: 8px;
     --border-radius-m: 30px;
     --border-radius-circle: 50px;


    /*Site max width*/
    --site-max-width:1300px;
}

html {
    scroll-behavior: smooth;
}



/*styling for whole site*/
ul {
    list-style: none;
}
a {
    text-decoration: none;
}

button {
    cursor: pointer;
    border: none;
    background: none;
}


img {
    width: 100%;
    border-radius: 12px;
}

.section-content {
    margin: 0 auto;
    padding: 0 20px;
    max-width: var(--site-max-width);
}

.section-title {
    text-align: center;
    padding: 60px 0 100px;
    text-transform: uppercase;
    font-size: var(--font-size-xl);
}

.section-title::after {
    content: "";
    width: 80px;
    height: 5px;
    display: block;
    margin: 10px auto 0;
    border-radius: var(--border-radius-s);
    background: var(--secondary-color);
}

/*Navbar styling*/
header {
    position: fixed;
    width: 100%;
    z-index: 5;
    background: var(--primary-color);
    border-bottom: 1px solid rgb(255, 255, 255);
}

header .navbar {
    display: flex;
    padding: 20px;
    align-items: center;
    justify-content: space-between;
}

.navbar .nav-logo .logo-text {
    color: var(--white-color);
    font-size: var(--font-size-xxl);
    font-weight: var(--font-weight-semi-bold);
}


.navbar .nav-menu {
    display: flex;
    gap: 10px;
}

.navbar .nav-menu .nav-link {
    padding: 10px 18px;
    color: var(--white-color);
    font-size: var(--font-size-m);
    border-radius: var(--border-radius-m);
    transition: 0.3s ease;
}

.navbar .nav-menu .nav-link:hover {
    color: var(--primary-color);
    background: var(--secondary-color);
}

.navbar #menu-close-button {
   display: none;
}

.navbar #menu-open-button {
    display: none;
}


/*Hero section styling */
.hero-section {
    min-height: 100vh;
    background: var(--primary-color);
}



.hero-section .section-content {
    display: flex;
    align-items: center;
    min-height: 100vh;
    color: var(--white-color);
    justify-content: space-between;
}

.hero-section .hero-details .title {
    font-size: 3.5rem;
    color: var(--secondary-color);
    font-family: "Miniver", sans-serif;
    color: var(--white-color);
    
}

.hero-section .hero-details .subtitle {
    margin-top: 8px;
    max-width: 70%;
    color: var(--secondary-color);
    font-size: var(--font-size-l);
    font-weight: var(--font-weight-semi-bold);
}

.hero-section .hero-details .description {
    max-width: 70%;
    margin: 20px 0 40px;
    font-size: var(--font-size-s);
}

.hero-section .hero-details .buttons {
    display: flex;
    gap: 23px;
}

.hero-section .hero-details .button {
    padding: 10px 26px;
    border: 2px solid transparent;
    color: var(--primary-color);
    border-radius: var(--border-radius-m);
    background: var(--secondary-color);
    font-weight: var(--font-weight-medium);
    transition: 0.3s ease;
}

.hero-section .hero-details .button:hover,
.hero-section .hero-details .contact-us {
    color: var(--white-color);
    border-color: var(--white-color);
    background: transparent;
}

.hero-section .hero-details .contact-us:hover {
    color: var(--primary-color);
    border-color: var(--secondary-color);
    background: var(--secondary-color);
}

.hero-section .hero-image-wrapper {
    width: 900px; /* Ukuran awal */
    transition: transform 0.3s ease;
    max-width: 500px;
    margin-right: 50px;
}

.hero-section .hero-image-wrapper:hover {
    transform: scale(1.2);
}



/*About Section stylingh*/
.about-section {
    padding: 120px 0;
    background: var(--light-pink-color);
}


.about-section .section-content {
    display: flex;
    gap: 50px;
    align-items: center;
    justify-content: space-between;
}

.about-section .about-image-wrappper .about-image {
    background: var(--primary-color);
    width: 350px;
    height: 350px;
    object-fit: cover;
    border-radius: 200px;
}


.about-section .about-details .section-title {
    padding: 0;
}

.about-section .about-details {
    max-width: 50%;
}

.about-section .about-details .text {
    line-height: 30px;
    margin: 50px 0 30px;
    text-align: center;
    font-size: var(--font-size-m);
}

.about-section .social-link-list {
    display: flex;
    gap: 25px;
    justify-content: center;
    border-radius: 10px;
}

.about-section .social-link-list .social-link {
    color: var(--primary-color);
    font-size: var(--font-size-l);
    transition: 0.2s ease;
}


.about-section .social-link-list .social-link:hover {
    color: var(--secondary-color);
}


/*Layanan Section styling */
.menu-section {
    color: var(--white-color);
    background: var(--primary-color);
    padding: 50px 0 100px;
}

.menu-section .section-title {
    color: var(--white-color);
}

.menu-section .menu-list {
    display: flex;
    flex-wrap: wrap;
    gap: 110px;
    align-items: center;
    justify-content: space-between;
}

.menu-section .menu-list .menu-item {
    display: flex;
    align-items: center;
    text-align: center;
    flex-direction: column;
    justify-content: space-between;
    width: calc(100% / 3 - 110px);
}

.menu-section .menu-list .menu-item .menu-image {
    max-width: 83%;
    aspect-ratio: 1;
    text-align: center;
    margin-bottom: 15px;
    object-fit: contain;
}


.menu-section .menu-list .menu-item .text {
    text-align: center;
    font-size: var(--font-size-m);
}

.menu-section .menu-list .menu-item .name {
    color: var(--white-color);
    margin: 12px 0;
    font-size: var(--font-size-l);
    font-weight: var(--font-weight-semi-bold);

}

.section-content .menu-list .menu-item {
    display: flex;
    gap: 23px;
}

.section-content .menu-list .menu-item .button {
    padding: 1px 15px;
    margin-top: 50px;
    border: 1px solid transparent;
    color: var(--secondary-color);
    border-radius: var(--border-radius-m);
    background: var(--dark-color);
    font-weight: -1;
    transition: 0.3s ease;
}

.section-content .menu-list .menu-item .button:hover {
    color: var(--white-color);
    border-color: var(--white-color);
    background: transparent;
}

.hero-section .hero-details .contact-us:hover {
    color: var(--primary-color);
    border-color: var(--secondary-color);
    background: var(hwite);
}





/*Team Section styling */
.team {
    background: var(--white-color);
    text-align: center;
    padding: 50px 0 100px
  }
  
  .section-title {
    margin-bottom: 20px;
    color: var(--primary-color);
   
  }
  
  .team-container {
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
  }
  
  .team-member {
    color: #003161;
    border-radius: 10px;
    padding: 20px;
    box-shadow: 5px 10px 10px 5px rgb(3, 64, 118);
    transition: transform 0.3s, box-shadow 0.3s;
    width: 300px;
  }
  
  .team-member:hover {
    transform: translateY(-10px);
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.2);
  }
  
  .team-member img {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    object-fit: cover;
    margin-bottom: 15px;
    animation: float 3s ease-in-out infinite;
  }
  
  .team-member h3 {
    font-size: 1.5rem;
    margin: 10px 0;
    color: var(--primary-color);
  }
  
  .team-member p {
    font-size: 1rem;
    color: var(--primary-color);
  }
  
  .social-icons {
    margin-top: 15px;
  }
  
  .social-icons a {
    margin: 0 10px;
    color: var(--primary-color);
    font-size: 1.5rem;
    transition: color 0.3s;
  }
  
  .social-icons a:hover {
    color: var(--secondary-color);
  }
  
  @keyframes float {
    0%, 100% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(-10px);
    }
  }
  
  @media (max-width: 768px) {
    .team-container {
      flex-direction: column;
      align-items: center;
    }
  }
  



/*Testimonials Section Styling */
.testimonials-section {
    padding: 50px 0 100px;
    background: var(--primary-color);
}

.testimonials-section .section-title {
    color: var(--white-color);
}

.testimonials-section .slider-wrapper {
    cursor: grab;
    overflow: hidden;
    margin: 0 60px 50px;
}

.testimonials-section .testimonial {
    user-select: none;
    display: flex;
    padding: 35px;
    text-align: center;
    flex-direction: column;
    align-items: center;
}

.testimonials-section .testimonial .user-image {
    width: 200px;
    height: 200px;
    object-fit: cover;
    margin-bottom: 50px;
    border-radius: 200%;
    cursor: grab;
}

.testimonials-section .testimonial .name {
    margin-bottom: 16px;
    color: var(--white-color);
    font-size: var(--font-size-m);
}

.testimonials-section .testimonial .feedback {
    color: var(--white-color);
    line-height: 25px;
}

.testimonials-section .swiper-pagination-bullet {
    width: 15px;
    height: 15px;
    opacity: 1;
    background: var(--white-color);
}

.testimonials-section .swiper-slide-button {
    margin-top: -50px;
    color: var(--white-color);
    transition: 0.3s ease;
}

.testimonials-section .swiper-slide-button:hover {
    color: var(--secondary-color);
}


/*Gallery section styling*/
.gallery-section {
    background: var(--white-color);
    padding: 50px 0 100px;
}

.gallery-section .section-title {
    color: var(--primary-color);
}

.gallery-section .gallery-list {
    display: flex;
    flex-wrap: wrap;
    gap: 32px;
}


.gallery-section .gallery-list .gallery-item {
    overflow: hidden;
    border-radius: var(--border-radius-m);
    width: calc(100% / 3 - 32px);
}

.gallery-section .gallery-item .gallery-image {
    width: 100%;
    height: 100%;
    cursor: zoom-in;
    transition: 0.3s ease;
}

.gallery-section .gallery-item:hover .gallery-image {
    transform: scale(1.3);
}

/*Contact Us section Styling*/
.contact-section {
    padding: 50px 0 100px;
    background: var(--primary-color);
}

.contact-section .section-title {
    color: var(--white-color);
}

.contact-section .section-content {
    display: flex;
    gap: 48px;
    align-items: flex-start;
    justify-content: space-between;
}

.contact-section .contact-info-list .contact-info {
    display: flex;
    gap: 20px;
    margin: 20px 0;
    align-items: center;
    color: white;
}

.contact-section .contact-info-list .contact-info i {
    font-size: var(--font-size-m);
}

.contact-section .contact-form .form-input {
    width: 100%;
    height: 50px;
    padding: 0 12px;
    outline: none;
    margin-bottom: 16px;
    background: var(--white-color);
    border-radius: var(--border-radius-s);
    border: 1px solid var(--medium-gray-color);
}

.contact-section .contact-form {
    max-width: 50%;
}

.contact-section .contact-form .form-input:focus {
    border-color: var(--secondary-color);
}

.contact-section .contact-form textarea.form-input {
    height: 100px;
    padding: 12px;
    resize: vertical;
}


.contact-section .contact-form .submit-button {
    padding: 10px 26px;
    margin-top: 10px;
    color: var(--primary-color);
    font-size: var(--font-size-m);
    font-weight: var(--font-weight-medium);
    background: var(--white-color);
    border-radius: var(--border-radius-m);
    border: 1px solid var(--secondary-color);
    transition: 0.5s ease;
}

.contact-section .contact-form .submit-button:hover {
    color: var(--secondary-color);
    background: transparent;
}

/*Footer section Styling*/
.footer-section {
    padding: 20px 0;
    background: var(--dark-color);
}

.footer-section .section-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer-section :where(.copyright-text, .social-link, .policy-link) {
    color: var(--white-color);
}

.footer-section .social-link-list {
    display: flex;
    gap: 25px;
}

.footer-section .social-link-list .social-link {
    font-size: var(--font-size-l);
}

.footer-section .social-link-list .social-link:hover {
    color: #f3961c;
}

.footer-section .social-link-list .social-link .social-link:hover, .footer-section .policy-text .policy-link:hover {
    color: var(--secondary-color);
}

.footer-section .policy-text .separator {
    margin: 0 5px;
    color: var(--white-color);
}


/*Maps styling section*/
.mapps {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
}

h3 {
    color: var(--white-color);
    margin-top: 50px;
    margin-bottom: 10px;
    font-size: 1.5rem;
}

iframe {
    width: 80%;
    height: 500px;
    border-radius: 10px;
    color: #f3961c;
    box-shadow: rgb(243, 150, 28);
}



/*Styling WhatShapp Button*/
.wa_btn {
    position: fixed;
    right: 20px;
    bottom: 20px;
    text-decoration: none;
    color: #1B262C;
    background-color: hsl(130, 97%, 48%);
    padding: 10px 20px;
    border-radius: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    z-index: 1000;
    animation: bounce 2s infinite ease-in-out; /* Animasi terus-menerus */
  }
  
  .wa_btn i {
    font-size: 30px;
    margin-right: 10px;
    background-color: hsl(130, 97%, 48%);
    border-radius: 25%;
    height: 30px;
    width: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
  }
  
  /* Animasi tambahan ChatWhatshapp */
  @keyframes moveIcon {
    0% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(-5px);
    }
    100% {
      transform: translateY(0);
    }
  }

  @keyframes bounce {
    0%, 100% {
      transform: translateY(0); /* Posisi awal */
    }
    50% {
      transform: translateY(-10px); /* Lompat ke atas */
    }
  }
  
  





/*Resposive media query code for max width  1024px*/
@media screen and (max-width: 1024px) {
    .menu-section .menu-list {
        gap: 60px;
    }
    .menu-section .menu-list .menu-item {
        width: calc(100% / 3 - 60px);
    }
}

/*Resposive media query code for max width  900px*/
@media screen and (max-width: 900px) {
    :root {
        --font-size-m:1rem;
        --font-size-l:1.3rem;
        --font-size-xl:.1.5rem;
        --font-size-xxl:1.8rem;
    }

    .navbar .nav-logo .logo-text {
        font-size: var(--font-size-xl);
    }

    body.show-mobile-menu header::before {
        content: "";
        position: fixed;
        left: 0;
        top: 0;
        height: 100%;
        width: 100%;
        backdrop-filter: blur(5px);
        background: rgba(0, 0, 0, 0.2);
    }

    .navbar :where(#menu-close-button, #menu-open-button) {
        font-size: var(--font-size-l);
    }

    .navbar #menu-close-button {
        display: block;
        position: absolute;
        right: 30px;
        top: 30px;
    }

    .navbar #menu-open-button {
        display: block;
        color: var(--white-color);
    }


    .navbar .nav-menu {
        display: block;
        position: fixed;
        left: -300px;
        top: 0;
        width: 300px;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding-top: 100px;
        background: var(--white-color);
        transition: left 0.2s ease;
    }

    body.show-mobile-menu .navbar .nav-menu {
        left: 0;
    }

    .navbar .nav-menu .nav-link {
        color: var(--dark-color);
        display: block;
        margin-top: 17px;
        font-size: var(--font-size-l);
    }

    .hero-section .section-content{
        gap: 50px;
        text-align: center;
        padding: 60px 20px 20px;
        flex-direction: column-reverse;
        justify-content: center;
    }


    .hero-section .section-content .hero-details .subtitle {
        font-size: var(--font-size-m);
    }


    .hero-section .hero-details .title {
        font-size: 2rem;
    }



    .hero-section .hero-details :is(.subtitle, .description), .about-section .about-details, 
    .contact-section .contact-form {
        max-width: 100%;
    }

    .hero-section .hero-details .buttons {
        justify-content: center;
    }


    .hero-section .hero-image-wrapper {
        max-width: 270px;
        margin-right: 0;
    }

    .about-section .section-content {
        gap: 70px;
        flex-direction: column-reverse;
    }

    .about-section .about-image-wrappper .about-image {
        width: 100%;
        height: 100%;
        max-width: 250px;
        aspect-ratio: 1;
    }

    .menu-section .menu-list {
        gap: 30px;
    }
    .menu-section .menu-list .menu-item {
        width: calc(100% / 2 - 30px);
    }

    .menu-section .menu-list .menu-item .menu-image {
        max-width: 200px;
    }

    .gallery-section .gallery-list {
        gap: 30px;
    }

    .gallery-section .gallery-list .gallery-item {
        width: calc(100% / 2 - 30px);
    }

    .contact-section .section-content {
        align-items: center;
        flex-direction: column-reverse;
    }

    .footer-section .section-content {
        flex-direction: column;
        gap: 20px;
    }
}

/*Resposive media query code for max width  640px*/
@media screen and (max-width: 640px) {
    .menu-section .menu-list {
        gap: 60px;
    } 

    .menu-section .menu-list .menu-item,
    .gallery-section .gallery-list .gallery-item {
        width: 100%;
    }

    .testimonials-section .slider-wrapper {
        margin: 0 0 30px;
    }

    .testimonials-section .swiper-slide-button {
        display: none;
    }

    .footer-section .section-content {
        flex-direction: column;
        gap: 20px;
    }

    iframe {
        width:90%;
        height: 200px;
        border-radius: 10px;
    }

    h1 {
        font-size: 40px;
        width: 80%; 
        height: 500px;
        border-radius: 10px;
    }
    

    
}








